LLVM-LIPO(1)

NAME
llvm-lipo - LLVM tool for manipulating universal binaries

SYNOPSIS

llvm-lipo [filenames...] [options]

DESCRIPTION

llvm-lipo can create universal binaries from Mach-O files, extract regular object files from universal binaries, and display architecture information about both universal and regular files.

COMMANDS

llvm-lipo supports the following mutually exclusive commands:

-help, -h
    Display usage information and exit.

-version
    Display the version of this program.

-verify_arch <architecture 1> [<architecture 2> ...]
    Take a single input file and verify the specified architectures are present in the file. If so then exit with a status of 0 else exit with a status of 1.

-archs
    Take a single input file and display the architectures present in the file. Each architecture is separated by a single whitespace. Unknown architectures are displayed as unknown(CPUtype,CPUsubtype).

BUGS

To report bugs, please visit <http://llvm.org/bugs/>.

AUTHOR
Maintained by the LLVM Team (https://llvm.org/).

COPYRIGHT
2003-2020, LLVM Project